#
# spec file for package gimp-plugin-resynthesizer
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           gimp-plugin-resynthesizer
Version:        2.0.3~git.20240203
Release:        0
License:        GPL-3.0-or-later
Summary:        Suite of gimp plugins for texture synthesis
URL:            https://github.com/itr-tert/gimp-resynthesizer-scm
Group:          Productivity/Graphics/Bitmap Editors
Source:         %{name}-%{version}.tar.xz
BuildRequires:  autoconf >= 2.71
BuildRequires:  automake
BuildRequires:  gcc
BuildRequires:  gimp-devel < 3.0
BuildRequires:  intltool
BuildRequires:  pkgconfig(glib-2.0)

%description
This package is a set of plugins for use with the Gimp program.
The package includes:

- resynthesizer plugin engine (without a GUI)
- resynthesizer-gui plugin control panel for the engine
- various plugins (in Python language) that call the resynthesizer engine

%prep
%autosetup -p1

%build
./autogen.sh
%configure
%make_build

%install
%make_install

%clean
rm -rf %{buildroot}

%files
%doc README.md
%license COPYING
%{_libdir}/gimp/2.0/plug-ins/*
%{_datadir}/resynthesizer/
%dir %{_datadir}/gimp/2.0/scripts
%dir %{_datadir}/gimp/2.0/scripts/resynthesizer-scm
%{_datadir}/gimp/2.0/scripts/resynthesizer-scm/*

%changelog
